## ros-indigo-lusb 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(lusb)

find_package(catkin REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread system)

catkin_package(
  INCLUDE_DIRS include ${Boost_INCLUDE_DIRS}
  LIBRARIES ${PROJECT_NAME} ${Boost_LIBRARIES}
)
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/UsbDevice.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  usb-1.0
)

install(TARGETS ${PROJECT_NAME}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-lusb (1.1.0-0trusty) trusty; urgency=high

  * Added support for list of USB IDs (VID and PID)
  * Contributors: Kevin Hallenbeck, Lincoln Lorenz

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 17 Oct 2018 04:00:00 -0000

ros-indigo-lusb (1.0.10-0trusty) trusty; urgency=high

  * Added function to list devices using the class variables for VID and PID
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 15 Jun 2018 04:00:00 -0000

ros-indigo-lusb (1.0.9-0trusty) trusty; urgency=high

  * Prioritize the local include folder (there were issues with catkin workspace overlays)
  * Contributors: Kevin Hallenbeck

 -- Dataspeed Inc. <khallenbeck@dataspeedinc.com>  Mon, 21 Aug 2017 04:00:00 -0000

ros-indigo-lusb (1.0.8-0trusty) trusty; urgency=high

  * Updated package.xml format to version 2
  * Add boost as dependency in package.xml
  * Contributors: Kevin Hallenbeck, P. J. Reed

 -- Dataspeed Inc. <khallenbeck@dataspeedinc.com>  Tue, 25 Apr 2017 04:00:00 -0000

ros-indigo-lusb (1.0.7-0trusty) trusty; urgency=high

  * Added option to open a specific device based on location. Previously, only the first device could be opened.
  * Contributors: Kevin Hallenbeck

 -- Dataspeed Inc. <khallenbeck@dataspeedinc.com>  Tue, 24 Jan 2017 05:00:00 -0000

ros-indigo-lusb (1.0.6-0trusty) trusty; urgency=high

  * Added boost system library dependency
  * Contributors: Kevin Hallenbeck

 -- Dataspeed Inc. <khallenbeck@dataspeedinc.com>  Fri, 07 Oct 2016 04:00:00 -0000

ros-indigo-lusb (1.0.5-0trusty) trusty; urgency=high

  * Export boost libraries
  * Contributors: Kevin Hallenbeck

 -- Dataspeed Inc. <khallenbeck@dataspeedinc.com>  Fri, 30 Sep 2016 04:00:00 -0000

ros-indigo-lusb (1.0.4-0trusty) trusty; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck

 -- Dataspeed Inc. <khallenbeck@dataspeedinc.com>  Tue, 27 Sep 2016 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-lusb
Section: misc
Priority: extra
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libusb-1.0-0-dev, ros-indigo-catkin
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-indigo-lusb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libusb-1.0-0
Description: Library for interfacing to USB devices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-lusb//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
